Package tigase.cert

## Class OldSelfSignedCertificateGenerator

- java.lang.Object
- - tigase.cert.OldSelfSignedCertificateGenerator

- All Implemented Interfaces:
    `CertificateGenerator`

      public class OldSelfSignedCertificateGenerator
      extends java.lang.Object
      implements CertificateGenerator

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OldSelfSignedCertificateGenerator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.security.cert.X509Certificate` | `generateSelfSignedCertificate​(java.lang.String email, java.lang.String domain, java.lang.String organizationUnit, java.lang.String organization, java.lang.String city, java.lang.String state, java.lang.String country, java.security.KeyPair keyPair)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OldSelfSignedCertificateGenerator

          public OldSelfSignedCertificateGenerator()

  - ### Method Detail

    - #### generateSelfSignedCertificate

          public java.security.cert.X509Certificate generateSelfSignedCertificate​(java.lang.String email,
                                                                                  java.lang.String domain,
                                                                                  java.lang.String organizationUnit,
                                                                                  java.lang.String organization,
                                                                                  java.lang.String city,
                                                                                  java.lang.String state,
                                                                                  java.lang.String country,
                                                                                  java.security.KeyPair keyPair)
                                                                           throws java.security.cert.CertificateException,
                                                                                  java.io.IOException,
                                                                                  java.security.NoSuchAlgorithmException,
                                                                                  java.security.InvalidKeyException,
                                                                                  java.security.NoSuchProviderException,
                                                                                  java.security.SignatureException

      Specified by:
        `generateSelfSignedCertificate` in interface `CertificateGenerator`
      Throws:
        `java.security.cert.CertificateException`
        `java.io.IOException`
        `java.security.NoSuchAlgorithmException`
        `java.security.InvalidKeyException`
        `java.security.NoSuchProviderException`
        `java.security.SignatureException`